import request from '@/utils/request'

// 查询管道实例管理列表
export function listPipelineInstance(query) {
  return request({
    url: '/hnyz/pipelineInstance/list',
    method: 'get',
    params: query
  })
}

// 查询管道实例管理详细
export function getPipelineInstance(id) {
  return request({
    url: '/hnyz/pipelineInstance/' + id,
    method: 'get'
  })
}

// 新增管道实例管理
export function addPipelineInstance(data) {
  return request({
    url: '/hnyz/pipelineInstance',
    method: 'post',
    data: data
  })
}

// 修改管道实例管理
export function updatePipelineInstance(data) {
  return request({
    url: '/hnyz/pipelineInstance',
    method: 'put',
    data: data
  })
}

// 删除管道实例管理
export function delPipelineInstance(id) {
  return request({
    url: '/hnyz/pipelineInstance/' + id,
    method: 'delete'
  })
}
